<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* ticker-form-edit.twig */
class __TwigTemplate_8469125fdb67b28bdea388b5cb72d3ac4d6a46bcc56074f897e33a85f5ea9fa6 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'extra' => [$this, 'block_extra'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 21
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 22
        $context["forms"] = $this->loadTemplate("forms.twig", "ticker-form-edit.twig", 22)->unwrap();
        // line 21
        $this->parent = $this->loadTemplate("form-base.twig", "ticker-form-edit.twig", 21);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 24
    public function block_formTitle($context, array $blocks = [])
    {
        // line 25
        echo "    ";
        echo __("Edit Ticker");
    }

    // line 28
    public function block_extra($context, array $blocks = [])
    {
        echo twig_jsonencode_filter($this->getAttribute(($context["module"] ?? null), "getExtra", [], "method"));
    }

    // line 30
    public function block_formHtml($context, array $blocks = [])
    {
        // line 31
        echo "    <div class=\"row\">
        <ul class=\"nav nav-tabs\" role=\"tablist\">
            <li class=\"active\"><a href=\"#general\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 33
        echo __("General");
        echo "</span></a></li>
            <li><a href=\"#configurationTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 34
        echo __("Configuration");
        echo "</span></a></li>
            <li><a href=\"#appearanceTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 35
        echo __("Appearance");
        echo "</span></a></li>
            <li class=\"dropdown\">
                <a class=\"dropdown-toggle\" data-toggle=\"dropdown\" href=\"#\" role=\"button\" aria-haspopup=\"true\" aria-expanded=\"false\">
                    ";
        // line 38
        echo __("Templates");
        echo "<span class=\"caret\"></span>
                </a>
                <ul class=\"dropdown-menu\">
                    <li><a href=\"#templatePreset\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 41
        echo __("Preset");
        echo "</span></a></li>
                    <li><a href=\"#templateTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 42
        echo __("Main");
        echo "</span></a></li>
                    <li><a href=\"#optionalStylesheetTab\" class=\"template-override-controls\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 43
        echo __("Optional Stylesheet");
        echo "</span></a></li>
                    <li><a href=\"#noDataTemplateTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 44
        echo __("No Data");
        echo "</span></a></li>
                    <li><a href=\"#optionalJavascriptTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 45
        echo __("Optional JavaScript");
        echo "</span></a></li>
                </ul>
            </li>
            <li><a href=\"#cacheTab\" role=\"tab\" data-toggle=\"tab\"><span>";
        // line 48
        echo __("Caching");
        echo "</span></a></li>
        </ul>
        <div class=\"col-md-12\">
            <form id=\"tickerEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 51
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.widget.edit", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "widget", []), "widgetId", [])]), "html", null, true);
        echo "\">
                <div class=\"tab-content\">
                    <div class=\"tab-pane active\" id=\"general\">
                        ";
        // line 54
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 55
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("An optional name for this widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 56
        echo "                        ";
        echo $context["forms"]->getinput("name", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "name"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 58
        ob_start(function () { return ''; });
        echo __("Set a duration?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 59
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select to provide a specific duration for this Widget");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 60
        echo "                        ";
        echo $context["forms"]->getcheckbox("useDuration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getUseDuration", [], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 62
        ob_start(function () { return ''; });
        echo __("Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 63
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration in seconds this item should be displayed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 64
        echo "                        ";
        echo $context["forms"]->getnumber("duration", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getDuration", [], "method"), ($context["helpText"] ?? null), "duration-fields", "required");
        echo "

                        ";
        // line 66
        ob_start(function () { return ''; });
        echo __("Duration is per item");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The duration specified is per item otherwise it is per feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 68
        echo "                        ";
        echo $context["forms"]->getcheckbox("durationIsPerItem", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "durationIsPerItem"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 70
        ob_start(function () { return ''; });
        echo __("Enable Stats Collection?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Enable the collection of Proof of Play statistics for this Widget. Ensure that ‘Enable Stats Collection’ is set to ‘On’ in the Display Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 72
        echo "
                        ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Off");
        $context["offOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("On");
        $context["onOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Inherit");
        $context["inheritOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 76
        echo "                        ";
        $context["options"] = [0 => ["id" => "Off", "value" =>         // line 77
($context["offOption"] ?? null)], 1 => ["id" => "On", "value" =>         // line 78
($context["onOption"] ?? null)], 2 => ["id" => "Inherit", "value" =>         // line 79
($context["inheritOption"] ?? null)]];
        // line 81
        echo "                        ";
        echo $context["forms"]->getdropdown("enableStat", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "enableStat", 1 => $this->getAttribute(($context["theme"] ?? null), "getSetting", [0 => "WIDGET_STATS_ENABLED_DEFAULT"], "method")], "method"), ($context["options"] ?? null), "id", "value", ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"configurationTab\">
                        ";
        // line 85
        ob_start(function () { return ''; });
        echo __("Feed URL");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 86
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Link for the RSS feed");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 87
        echo "                        ";
        echo $context["forms"]->getinput("uri", ($context["title"] ?? null), $this->env->getExtension('Xibo\Twig\UrlDecodeTwigExtension')->urlDecode($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "uri"], "method")), ($context["helpText"] ?? null), "feed-fields");
        echo "

                        ";
        // line 89
        ob_start(function () { return ''; });
        echo __("Number of Items");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 90
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The Number of RSS items you want to display");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 91
        echo "                        ";
        echo $context["forms"]->getnumber("numItems", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "numItems"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 93
        ob_start(function () { return ''; });
        echo __("Take items from the");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Take the items from the beginning or the end of the list");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 95
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Start of the Feed");
        $context["startOfTheFeed"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 96
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("End of the Feed");
        $context["endOfTheFeed"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 97
        echo "                        ";
        $context["options"] = [0 => ["takeitemsfromid" => "start", "takeitemsfrom" =>         // line 98
($context["startOfTheFeed"] ?? null)], 1 => ["takeitemsfromid" => "end", "takeitemsfrom" =>         // line 99
($context["endOfTheFeed"] ?? null)]];
        // line 101
        echo "                        ";
        echo $context["forms"]->getdropdown("takeItemsFrom", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "takeItemsFrom", 1 => "start"], "method"), ($context["options"] ?? null), "takeitemsfromid", "takeitemsfrom", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 103
        ob_start(function () { return ''; });
        echo __("Reverse Order?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 104
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should we reverse the order of the feed items?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                        ";
        echo $context["forms"]->getcheckbox("reverseOrder", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "reverseOrder"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 107
        ob_start(function () { return ''; });
        echo __("Randomise?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 108
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the order of the feed be randomised? When enabled each time the Widget is shown the items will be randomly shuffled and displayed in a random order.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 109
        echo "                        ";
        echo $context["forms"]->getcheckbox("randomiseItems", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "randomiseItems"], "method"), ($context["helpText"] ?? null));
        echo "
                        
                        ";
        // line 111
        ob_start(function () { return ''; });
        echo __("Copyright");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 112
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Copyright information to display as the last item in this feed. This can be styled with the #copyright CSS selector.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 113
        echo "                        ";
        echo $context["forms"]->getinput("copyright", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "copyright"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 115
        ob_start(function () { return ''; });
        echo __("Show items side by side?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 116
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should items be shown side by side?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 117
        echo "                        ";
        echo $context["forms"]->getcheckbox("itemsSideBySide", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "itemsSideBySide"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 119
        ob_start(function () { return ''; });
        echo __("Date Format");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 120
        echo "                        ";
        ob_start(function () { return ''; });
        echo twig_escape_filter($this->env, $this->getAttribute(($context["helpService"] ?? null), "address", [0 => "advanced_dateFormat.html"], "method"), "html", null, true);
        $context["manualUrl"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 121
        echo "                        ";
        ob_start(function () { return ''; });
        /* xgettext:no-php-format */        echo strtr(__("The format to apply to all dates returned by the ticker. See the <a href=\"%manualUrl%\">Manual</a> for allowed formats."), array("%manualUrl%" => ($context["manualUrl"] ?? null), ));
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 122
        echo "                        ";
        echo $context["forms"]->getinput("dateFormat", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "dateFormat"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 124
        ob_start(function () { return ''; });
        echo __("Allowable Attributes");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 125
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A comma separated list of attributes that should not be stripped from the incoming feed.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 126
        echo "                        ";
        echo $context["forms"]->getinput("allowedAttributes", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "allowedAttributes"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 128
        ob_start(function () { return ''; });
        echo __("Strip Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 129
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("A comma separated list of HTML tags that should be stripped from the feed in addition to the default ones.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 130
        echo "                        ";
        echo $context["forms"]->getinput("stripTags", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "stripTags"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 132
        ob_start(function () { return ''; });
        echo __("Decode the HTML entities in this feed before parsing it");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 133
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should we decode the HTML entities in this feed before parsing it?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 134
        echo "                        ";
        echo $context["forms"]->getcheckbox("decodeHtml", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "decodeHtml"], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 136
        ob_start(function () { return ''; });
        echo __("Disable Date Sort");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 137
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Should the date sort applied to the feed be disabled?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 138
        echo "                        ";
        echo $context["forms"]->getcheckbox("disableDateSort", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "disableDateSort"], "method"), ($context["helpText"] ?? null));
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"appearanceTab\">
                        ";
        // line 142
        ob_start(function () { return ''; });
        echo __("Background Colour");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 143
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The selected effect works best with a background colour. Optionally add one here.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 144
        echo "                        ";
        echo $context["forms"]->getinput("backgroundColor", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "backgroundColor"], "method"), ($context["helpText"] ?? null), "background-color-group");
        echo "


                        ";
        // line 147
        ob_start(function () { return ''; });
        echo __("Effect");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 148
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please select the effect that will be used to transition between items. Marquee effects are CPU intensive and may not be suitable for lower power displays.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 149
        echo "
                        ";
        // line 150
        ob_start(function () { return ''; });
        echo __("Show all items");
        $context["showAll"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 151
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Paged");
        $context["showPaged"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 152
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Left");
        $context["marqueeLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 153
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Right");
        $context["marqueeRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 154
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Up");
        $context["marqueeUp"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 155
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Marquee Down");
        $context["marqueeDown"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 156
        echo "                        ";
        $context["optionGroups"] = [0 => ["id" => "showAll", "label" =>         // line 157
($context["showAll"] ?? null)], 1 => ["id" => "showPaged", "label" =>         // line 158
($context["showPaged"] ?? null)]];
        // line 160
        echo "
                        ";
        // line 161
        ob_start(function () { return ''; });
        echo __("No effect - all items are shown");
        $context["noneOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 162
        echo "                        ";
        $context["showAllOptions"] = [0 => ["effectid" => "none", "effect" =>         // line 163
($context["noneOption"] ?? null)], 1 => ["effectid" => "marqueeLeft", "effect" =>         // line 164
($context["marqueeLeft"] ?? null)], 2 => ["effectid" => "marqueeRight", "effect" =>         // line 165
($context["marqueeRight"] ?? null)], 3 => ["effectid" => "marqueeUp", "effect" =>         // line 166
($context["marqueeUp"] ?? null)], 4 => ["effectid" => "marqueeDown", "effect" =>         // line 167
($context["marqueeDown"] ?? null)]];
        // line 169
        echo "
                        ";
        // line 170
        ob_start(function () { return ''; });
        echo __("No transition");
        $context["noTransitionOption"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 171
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade");
        $context["fade"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 172
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Fade Out");
        $context["fadeout"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 173
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Horizontal");
        $context["scrollHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 174
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Scroll Vertical");
        $context["scrollVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 175
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Horizontal");
        $context["flipHorz"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 176
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Flip Vertical");
        $context["flipVert"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 177
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Shuffle");
        $context["shuffle"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 178
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Slide");
        $context["tileSlide"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 179
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tile Blind");
        $context["tileBlind"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 180
        echo "                        ";
        $context["showPagedOptions"] = [0 => ["effectid" => "noTransition", "effect" =>         // line 181
($context["noTransitionOption"] ?? null)], 1 => ["effectid" => "fade", "effect" =>         // line 182
($context["fade"] ?? null)], 2 => ["effectid" => "fadeout", "effect" =>         // line 183
($context["fadeout"] ?? null)], 3 => ["effectid" => "scrollHorz", "effect" =>         // line 184
($context["scrollHorz"] ?? null)], 4 => ["effectid" => "scrollVert", "effect" =>         // line 185
($context["scrollVert"] ?? null)], 5 => ["effectid" => "flipHorz", "effect" =>         // line 186
($context["flipHorz"] ?? null)], 6 => ["effectid" => "flipVert", "effect" =>         // line 187
($context["flipVert"] ?? null)], 7 => ["effectid" => "shuffle", "effect" =>         // line 188
($context["shuffle"] ?? null)], 8 => ["effectid" => "tileSlide", "effect" =>         // line 189
($context["tileSlide"] ?? null)], 9 => ["effectid" => "tileBlind", "effect" =>         // line 190
($context["tileBlind"] ?? null)]];
        // line 192
        echo "                        ";
        echo $context["forms"]->getdropdown("effect", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "effect"], "method"), ["showAll" => ($context["showAllOptions"] ?? null), "showPaged" => ($context["showPagedOptions"] ?? null)], "effectid", "effect", ($context["helpText"] ?? null), "l", "", "", "", "", ($context["optionGroups"] ?? null));
        echo "

                        ";
        // line 194
        ob_start(function () { return ''; });
        echo __("Speed");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 195
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("The transition speed of the selected effect in milliseconds (normal = 1000) or the Marquee Speed in a low to high scale (normal = 1).");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 196
        echo "                        ";
        echo $context["forms"]->getnumber("speed", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "speed", 1 => $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "scrollSpeed"], "method")], "method"), ($context["helpText"] ?? null), "effect-controls");
        echo "

                        ";
        // line 198
        ob_start(function () { return ''; });
        echo __("Text direction");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 199
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Which direction does the text in the feed use?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 200
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Left to Right (LTR)");
        $context["leftToRight"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 201
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Right to Left (RTL)");
        $context["rightToLeft"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 202
        echo "                        ";
        $context["options"] = [0 => ["textdirectionid" => "ltr", "textdirection" =>         // line 203
($context["leftToRight"] ?? null)], 1 => ["textdirectionid" => "rtl", "textdirection" =>         // line 204
($context["rightToLeft"] ?? null)]];
        // line 206
        echo "                        ";
        echo $context["forms"]->getdropdown("textDirection", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "textDirection", 1 => "ltr"], "method"), ($context["options"] ?? null), "textdirectionid", "textdirection", ($context["helpText"] ?? null));
        echo "

                        ";
        // line 208
        ob_start(function () { return ''; });
        echo __("Items per page");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 209
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("If an effect has been selected from the General tab, how many pages should we split the items across? If you don't enter anything here 1 item will be put on each page.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 210
        echo "                        ";
        echo $context["forms"]->getnumber("itemsPerPage", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "itemsPerPage"], "method"), ($context["helpText"] ?? null), "effect-controls");
        echo "

                    </div>

                    <div class=\"tab-pane\" id=\"templatePreset\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 216
        echo __("Preset");
        echo "</h4>
                        </div>

                        ";
        // line 219
        ob_start(function () { return ''; });
        echo __("Template");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 220
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Select the template you would like to apply. This can be overridden using the check box below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 221
        echo "                        ";
        echo $context["forms"]->getdropdown("templateId", "single", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "templateId", 1 => "title-only"], "method"), $this->getAttribute(($context["module"] ?? null), "templatesAvailable", [], "method"), "id", "value", ($context["helptext"] ?? null), "template-selector-control selectPicker selectPickerWithImage", null, null, null, [0 => ["name" => "data-minimum-results-for-search", "value" => "Infinity"], 1 => ["name" => "data-width", "value" => "100%"]], null, "image");
        echo "

                        ";
        // line 223
        ob_start(function () { return ''; });
        echo __("Override the template?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 224
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Tick if you would like to override the template.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 225
        echo "                        ";
        echo $context["forms"]->getcheckbox("overrideTemplate", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "overrideTemplate", 1 => 0], "method"), ($context["helpText"] ?? null));
        echo "

                        ";
        // line 227
        ob_start(function () { return ''; });
        // line 228
        echo "                           ";
        echo __("With Override the Template selected enter your own text, html and css by using the Templates drop down menu in the tab header above.");
        echo "                     
                        ";
        $context["useTemplatesMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 230
        echo "                        ";
        echo $context["forms"]->getmessage(($context["useTemplatesMessage"] ?? null), "template-override-controls");
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"templateTab\">
                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 235
        echo __("Main Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"ta_text_advanced\" name=\"ta_text_advanced\" ";
        // line 236
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "ta_text_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        echo " 
                                data-size=\"small\" 
                                data-label-text=\"";
        // line 238
        echo __("Visual editor");
        echo "\" 
                                data-label-width=\"80px\" 
                                data-on-text=\"";
        // line 240
        echo __("On");
        echo "\" 
                                data-off-text=\"";
        // line 241
        echo __("Off");
        echo "\">
                        </div>

                        <div class=\"editor-messages\">
                            ";
        // line 245
        ob_start(function () { return ''; });
        // line 246
        echo "                                ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                            ";
        $context["simpleTextEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 248
        echo "                            ";
        echo $context["forms"]->getmessage(($context["simpleTextEditorMessage"] ?? null), "ta_text-advanced-editor-hide inline-editor-hide");
        echo "

                            ";
        // line 251
        echo "                            ";
        ob_start(function () { return ''; });
        // line 252
        echo "                                ";
        echo __("Enter text to display using the inline editor which can be opened by clicking in the preview on the left.");
        // line 253
        echo "                                ";
        echo __("When using the inline editor Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 254
        echo "                            ";
        $context["layoutDesignerMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 255
        echo "                            ";
        echo $context["forms"]->getmessage(($context["layoutDesignerMessage"] ?? null), "layout-designer-message inline-editor-show");
        echo "

                            ";
        // line 258
        echo "                            ";
        ob_start(function () { return ''; });
        // line 259
        echo "                                ";
        echo __("Enter the text to display. The red rectangle reflects the size of the region you are editing.");
        // line 260
        echo "                                ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 261
        echo "                            ";
        $context["playlistEditorMessage"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 262
        echo "                            ";
        echo $context["forms"]->getmessage(($context["playlistEditorMessage"] ?? null), "playlist-editor-message ta_text-advanced-editor-show");
        echo "
                        </div>

                        <div class=\"ckeditor_controls inline-editor-hide container-fluid\" data-linked-to=\"ta_text\">
                            <div class=\"col-sm-6\">
                                <div class=\"form-group\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_snippets_select\">";
        // line 268
        echo __("Snippets");
        echo "</label>
                                    <div class=\"col-sm-8 ckeditor_select_container\">
                                        <select id=\"ckeditor_snippets_select\"
                                            class=\"ckeditor_snippets_select form-control\"
                                            data-linked-to=\"ta_text\">
                                            <option value=\"\"></option>
                                            <option value=\"Name\">Name</option>
                                            <option value=\"Title\">Title</option>
                                            <option value=\"Description\">Description</option>
                                            <option value=\"Date\">Date</option>
                                            <option value=\"Content\">Content</option>
                                            <option value=\"Copyright\">Copyright</option>
                                            <option value=\"Link\">Link</option>
                                            <option value=\"PermaLink\">PermaLink</option>
                                            <option value=\"Tag|Namespace\">Tag|Namespace</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class=\"col-sm-6\">
                                <div class=\"form-group\">
                                    <label class=\"col-sm-4 control-label\" for=\"ckeditor_library_select2\">";
        // line 289
        echo __("Library");
        echo "</label>
                                    <div class=\"col-sm-8\">
                                        <select id=\"ckeditor_library_select2\"
                                                class=\"ckeditor_library_select form-control\"
                                                data-linked-to=\"ta_text\"
                                                data-search-url=\"";
        // line 294
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.search"), "html", null, true);
        echo "\"
                                                data-image-url=\"";
        // line 295
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("library.download"), "html", null, true);
        echo "?preview=1\">
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        ";
        // line 302
        echo $context["forms"]->gettextarea("ta_text", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "template"], "method"), "", "inline-editor-hide", "", 10);
        echo "
                        
                    </div>

                    <div class=\"tab-pane\" id=\"optionalStylesheetTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 308
        echo __("Optional Stylesheet Template");
        echo "</h4>
                        </div>
                        
                        ";
        // line 311
        echo $context["forms"]->gettextarea("ta_css", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "css"], "method"), "", "template-override-controls", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"noDataTemplateTab\">
                        <div class=\"form-content-title container-fluid text-right\">
                            <h4 class=\"col-xs-6 text-left\">";
        // line 316
        echo __("No Data Template");
        echo "</h4>
                            <input type=\"checkbox\" class=\"col-xs-6 pull-right bootstrap-switch-target\" id=\"noDataMessage_advanced\" name=\"noDataMessage_advanced\" ";
        // line 317
        if (($this->getAttribute(($context["module"] ?? null), "getOption", [0 => "noDataMessage_advanced", 1 => 0], "method") == 1)) {
            echo "checked";
        }
        echo " 
                                data-size=\"small\" 
                                data-label-text=\"";
        // line 319
        echo __("Visual editor");
        echo "\" 
                                data-label-width=\"80px\" 
                                data-on-text=\"";
        // line 321
        echo __("On");
        echo "\" 
                                data-off-text=\"";
        // line 322
        echo __("Off");
        echo "\">
                        </div>

                        ";
        // line 325
        ob_start(function () { return ''; });
        // line 326
        echo "                            ";
        echo __("Enter text or HTML in the box below.");
        echo "<br>
                        ";
        $context["noDataMessageMessage1"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 328
        echo "                        ";
        echo $context["forms"]->getmessage(($context["noDataMessageMessage1"] ?? null), "noDataMessage-advanced-editor-hide");
        echo "

                        ";
        // line 330
        ob_start(function () { return ''; });
        // line 331
        echo "                            ";
        echo __("Enter the text to display.");
        // line 332
        echo "                            ";
        echo __("The red rectangle reflects the size of the region you are editing.");
        // line 333
        echo "                            ";
        echo __("Shift+Enter will drop a single line. Enter alone starts a new paragraph.");
        // line 334
        echo "                        ";
        $context["noDataMessageMessage2"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 335
        echo "                        ";
        echo $context["forms"]->getmessage(($context["noDataMessageMessage2"] ?? null), "noDataMessage-advanced-editor-show");
        echo "

                        ";
        // line 337
        ob_start(function () { return ''; });
        // line 338
        echo "                            ";
        echo __("A message to display when no data is returned from the source");
        // line 339
        echo "                        ";
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 340
        echo "
                        ";
        // line 341
        echo $context["forms"]->gettextarea("noDataMessage", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "noDataMessage"], "method"), ($context["helpText"] ?? null), "", "", 5);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"optionalJavascriptTab\">
                        <div class=\"form-content-title\">
                            <h4>";
        // line 346
        echo __("Optional JavaScript");
        echo "</h4>
                        </div>

                        ";
        // line 349
        echo $context["forms"]->gettextarea("javaScript", "", $this->getAttribute(($context["module"] ?? null), "getRawNode", [0 => "javaScript"], "method"), "", "", "", 10);
        echo "
                    </div>

                    <div class=\"tab-pane\" id=\"cacheTab\">
                        ";
        // line 353
        ob_start(function () { return ''; });
        echo __("Update Interval (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 354
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Please enter the update interval in minutes. This should be kept as high as possible. For example, if the data will only change once per hour this could be set to 60.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 355
        echo "                        ";
        echo $context["forms"]->getnumber("updateInterval", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "updateInterval", 1 => 60], "method"), ($context["helpText"] ?? null), "", "required");
        echo "
                                                
                        ";
        // line 357
        ob_start(function () { return ''; });
        echo __("Update Interval Images (mins)");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 358
        echo "                        ";
        ob_start(function () { return ''; });
        echo __("Override the update interval for images. This should be kept as high as possible and can be set for all Tickers in Module Settings.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 359
        echo "                        ";
        echo $context["forms"]->getnumber("updateIntervalImages", ($context["title"] ?? null), $this->getAttribute(($context["module"] ?? null), "getOption", [0 => "updateIntervalImages", 1 => $this->getAttribute(($context["module"] ?? null), "getSetting", [0 => "updateIntervalImages", 1 => 240], "method")], "method"), ($context["helpText"] ?? null), "", "required");
        echo "
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "ticker-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  952 => 359,  947 => 358,  943 => 357,  937 => 355,  932 => 354,  928 => 353,  921 => 349,  915 => 346,  907 => 341,  904 => 340,  901 => 339,  898 => 338,  896 => 337,  890 => 335,  887 => 334,  884 => 333,  881 => 332,  878 => 331,  876 => 330,  870 => 328,  864 => 326,  862 => 325,  856 => 322,  852 => 321,  847 => 319,  840 => 317,  836 => 316,  828 => 311,  822 => 308,  813 => 302,  803 => 295,  799 => 294,  791 => 289,  767 => 268,  757 => 262,  754 => 261,  751 => 260,  748 => 259,  745 => 258,  739 => 255,  736 => 254,  733 => 253,  730 => 252,  727 => 251,  721 => 248,  715 => 246,  713 => 245,  706 => 241,  702 => 240,  697 => 238,  690 => 236,  686 => 235,  677 => 230,  671 => 228,  669 => 227,  663 => 225,  658 => 224,  654 => 223,  648 => 221,  643 => 220,  639 => 219,  633 => 216,  623 => 210,  618 => 209,  614 => 208,  608 => 206,  606 => 204,  605 => 203,  603 => 202,  598 => 201,  593 => 200,  588 => 199,  584 => 198,  578 => 196,  573 => 195,  569 => 194,  563 => 192,  561 => 190,  560 => 189,  559 => 188,  558 => 187,  557 => 186,  556 => 185,  555 => 184,  554 => 183,  553 => 182,  552 => 181,  550 => 180,  545 => 179,  540 => 178,  535 => 177,  530 => 176,  525 => 175,  520 => 174,  515 => 173,  510 => 172,  505 => 171,  501 => 170,  498 => 169,  496 => 167,  495 => 166,  494 => 165,  493 => 164,  492 => 163,  490 => 162,  486 => 161,  483 => 160,  481 => 158,  480 => 157,  478 => 156,  473 => 155,  468 => 154,  463 => 153,  458 => 152,  453 => 151,  449 => 150,  446 => 149,  441 => 148,  437 => 147,  430 => 144,  425 => 143,  421 => 142,  413 => 138,  408 => 137,  404 => 136,  398 => 134,  393 => 133,  389 => 132,  383 => 130,  378 => 129,  374 => 128,  368 => 126,  363 => 125,  359 => 124,  353 => 122,  348 => 121,  343 => 120,  339 => 119,  333 => 117,  328 => 116,  324 => 115,  318 => 113,  313 => 112,  309 => 111,  303 => 109,  298 => 108,  294 => 107,  288 => 105,  283 => 104,  279 => 103,  273 => 101,  271 => 99,  270 => 98,  268 => 97,  263 => 96,  258 => 95,  253 => 94,  249 => 93,  243 => 91,  238 => 90,  234 => 89,  228 => 87,  223 => 86,  219 => 85,  211 => 81,  209 => 79,  208 => 78,  207 => 77,  205 => 76,  200 => 75,  195 => 74,  191 => 73,  188 => 72,  183 => 71,  179 => 70,  173 => 68,  168 => 67,  164 => 66,  158 => 64,  153 => 63,  149 => 62,  143 => 60,  138 => 59,  134 => 58,  128 => 56,  123 => 55,  119 => 54,  113 => 51,  107 => 48,  101 => 45,  97 => 44,  93 => 43,  89 => 42,  85 => 41,  79 => 38,  73 => 35,  69 => 34,  65 => 33,  61 => 31,  58 => 30,  52 => 28,  47 => 25,  44 => 24,  39 => 21,  37 => 22,  31 => 21,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "ticker-form-edit.twig", "/home/mgatv524/public_html/edurocha/modules/ticker-form-edit.twig");
    }
}
